Package org.eclipse.remote.core

# Class RemoteProcessAdapter

java.lang.Object
java.lang.Process
org.eclipse.remote.core.RemoteProcessAdapter

public class RemoteProcessAdapter extends Process
Utility class to adapt an IRemoteProcess to a java.lang.Process

## Constructor Summary

Constructors
Constructor
Description
`RemoteProcessAdapter(IRemoteProcess process)`

## Method Summary

Modifier and Type
Method
Description
`void`
`destroy()`
`int`
`exitValue()`
`InputStream`
`getErrorStream()`
`InputStream`
`getInputStream()`
`OutputStream`
`getOutputStream()`
`int`
`waitFor()`

### Methods inherited from class java.lang.Process

`children, descendants, destroyForcibly, errorReader, errorReader, info, inputReader, inputReader, isAlive, onExit, outputWriter, outputWriter, pid, supportsNormalTermination, toHandle, waitFor`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### RemoteProcessAdapter

public RemoteProcessAdapter(IRemoteProcess process)

## Method Details

### destroy

public void destroy()

Specified by:
  `destroy` in class `Process`

### exitValue

public int exitValue()

Specified by:
  `exitValue` in class `Process`

### getErrorStream

public InputStream getErrorStream()

Specified by:
  `getErrorStream` in class `Process`

### getInputStream

public InputStream getInputStream()

Specified by:
  `getInputStream` in class `Process`

### getOutputStream

public OutputStream getOutputStream()

Specified by:
  `getOutputStream` in class `Process`

### waitFor

public int waitFor() throws InterruptedException

Specified by:
  `waitFor` in class `Process`
Throws:
  `InterruptedException`